package com.google.android.exoplayer2.c;

import com.tencent.matrix.trace.core.AppMethodBeat;
import java.util.Arrays;

public final class m$a {
    public final int aRX;
    public final int aRY;
    public final int aTb;
    public final byte[] aTc;

    public m$a(int i, byte[] bArr, int i2, int i3) {
        this.aTb = i;
        this.aTc = bArr;
        this.aRX = i2;
        this.aRY = i3;
    }

    public final boolean equals(Object obj) {
        AppMethodBeat.i(95066);
        if (this == obj) {
            AppMethodBeat.o(95066);
            return true;
        } else if (obj == null || getClass() != obj.getClass()) {
            AppMethodBeat.o(95066);
            return false;
        } else {
            m$a m_a = (m$a) obj;
            if (this.aTb == m_a.aTb && this.aRX == m_a.aRX && this.aRY == m_a.aRY && Arrays.equals(this.aTc, m_a.aTc)) {
                AppMethodBeat.o(95066);
                return true;
            }
            AppMethodBeat.o(95066);
            return false;
        }
    }

    public final int hashCode() {
        AppMethodBeat.i(95067);
        int hashCode = (((((this.aTb * 31) + Arrays.hashCode(this.aTc)) * 31) + this.aRX) * 31) + this.aRY;
        AppMethodBeat.o(95067);
        return hashCode;
    }
}
